﻿@model IEnumerable<SSOTestApp.Models.UserDriveModel>

@{
    ViewBag.Title = "DriveById";
}

<h2>DriveById</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<p>
    <!-- @Html.ActionLink("Back", "DriveById", new { id = Model.FirstOrDefault().DriveId , isdrive = true}) -->
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.FolderName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedBy)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastModifiedDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastModifiedBy)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Size)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
<tr>
    <td>
        @if (item.IsFolder == true)
        {
            <a href="@Url.Action("DriveById", new { id = item.Id })"> @Html.DisplayFor(modelItem => item.FolderName)</a>
        }
        else
        {
            <a href="@Html.DisplayFor(modelItem => item.WebUrl)">@Html.DisplayFor(modelItem => item.FolderName)</a>
        }
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CreatedDate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.CreatedBy)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LastModifiedDate)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.LastModifiedBy)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Size)
    </td>
</tr>
}

</table>
